Bug Hunting Session
Bug 98587 - UI File ist not marked as changed when layer-visibility shortcut is used (inconsistent behavior)
Summary: UI File ist not marked as changed when layer-visibility shortcut is used (inc...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium trivial
Assignee: Ulrich Gemkow
URL:
Whiteboard: target:5.3.0
Keywords: topicUI
Depends on:
Blocks: Layers
  Show dependency treegraph
 
Reported: 2016-03-10 19:39 UTC by Ulrich Gemkow
Modified: 2016-11-12 17:13 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed patch to fix problem (405 bytes, patch)
2016-10-25 17:28 UTC, Ulrich Gemkow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Gemkow 2016-03-10 19:39:10 UTC
Minor inconsistent behavior:

When changing the visibility through the layer menu (right click on layer name->Modify->use checkbox for Visible) the file is marked as changed and the file is save-able.

When changing the visibility through the new shortcut (shift + click on layer name) the file is NOT marked as changed and the file is NOT save-able
Comment 1 Robinson Tryon (qubit) 2016-03-11 09:27:04 UTC
TESTING with Ubuntu 14.04 +
LO 5.2.0.0.alpha0+ (2016-02-24_23:58:47)

(In reply to Ulrich Gemkow from comment #0)
> When changing the visibility through the layer menu

Repro steps:

- Create new file in Draw and save it
- Layers are listed as tabs at the bottom middle of the window ("Layout", "Controls", etc..)

> (right click on layer
> name->Modify->use checkbox for Visible) the file is marked as changed and
> the file is save-able.

- Using the "Layout" layer, I unchecked the Visible box and file became save-able

> When changing the visibility through the new shortcut (shift + click on
> layer name) the file is NOT marked as changed and the file is NOT save-able

CONFIRMED. Behavior should be consistent, no matter which path is used to toggle visibility.

Status -> NEW
Comment 2 Heiko Tietze 2016-05-04 09:24:26 UTC
Sounds like an EASYHACK
Comment 3 jani 2016-05-04 14:16:49 UTC
Sounds like an easyHack, but it misses:
- codepointers (mandatory for easyHack)
- set the keyword skill<foo> and difficulty<foo>
- Optionally also set topic<foo>

Marking it as "NEEDING" for now.
Comment 4 Xisco Faulí 2016-09-15 15:26:58 UTC
Removing keyword 'needsDevEval' as this bug is an easyHack
Comment 5 Xisco Faulí 2016-09-27 10:36:16 UTC Comment hidden (obsolete)
Comment 6 jani 2016-10-25 13:48:04 UTC
Consult, no easyhack
Comment 7 Ulrich Gemkow 2016-10-25 17:28:58 UTC
Created attachment 128263 [details]
Proposed patch to fix problem
Comment 8 Ulrich Gemkow 2016-10-25 17:32:11 UTC
Thanks for handling this!

I have added an patch proposal which fixes this bug. This patch does not add an undo action (the dialog box adds one). If this is wanted I can try to add this.

I still have problems to setup gerrit (ssh key problem). If someone wants to apply this patch - feel free.
Comment 9 Commit Notification 2016-10-28 08:30:57 UTC
Ulrich Gemkow committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a2a29d0b8a3f57d2ca1d695632595ed46bf95cd

tdf#98587 Inconsistency menu/shortcut for layer visibility

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.